Can't debug

Completed

I get this error when trying to install ruby-debug-base:

 

gem install ruby-debug-base -v '0.10.5.rc10'

Building native extensions.  This could take a while...

ERROR:  Error installing ruby-debug-base:

ERROR: Failed to build gem native extension.

 

    /Users/Apple/.rvm/rubies/ruby-2.2.2/bin/ruby -r ./siteconf20170113-95768-blsdlx.rb extconf.rb

Ruby version 2.2.2 is too new

*** extconf.rb failed ***

Could not create Makefile due to some reason, probably lack of necessary

libraries and/or headers.  Check the mkmf.log file for more details.  You may

need configuration options.

 

Provided configuration options:

--with-opt-dir

--with-opt-include

--without-opt-include=${opt-dir}/include

--with-opt-lib

--without-opt-lib=${opt-dir}/lib

--with-make-prog

--without-make-prog

--srcdir=.

--curdir

--ruby=/Users/Apple/.rvm/rubies/ruby-2.2.2/bin/$(RUBY_BASE_NAME)

 

extconf failed, exit code 1

 

Gem files will remain installed in /Users/Apple/.rvm/gems/ruby-2.2.2@dcaclab/gems/ruby-debug-base-0.10.5.rc10 for inspection.

Results logged to /Users/Apple/.rvm/gems/ruby-2.2.2@dcaclab/extensions/x86_64-darwin-16/2.2.0/ruby-debug-base-0.10.5.rc10/gem_make.out

4 comments
Comment actions Permalink

Hello,

could you please specify what RubyMine version you use. In addition, please attach the output of the `gem list` command for the project SDK.

0
Comment actions Permalink

Here:

RubyMine 2016.3.1
Build #RM-163.9166.34, built on December 15, 2016
JRE: 1.8.0_112-release-408-b6 x86_64
JVM: OpenJDK 64-Bit Server VM by JetBrains s.r.o

gem list:                                

*** LOCAL GEMS ***

 

actionmailer (4.2.4, 4.2.0, 4.1.6)

actionpack (4.2.4, 4.2.0, 4.1.6)

actionview (4.2.4, 4.2.0, 4.1.6)

active_model_serializers (0.9.6, 0.9.5, 0.9.3, 0.9.0)

activejob (4.2.4, 4.2.0)

activemodel (4.2.4, 4.2.0, 4.1.6)

activerecord (4.2.4, 4.2.0, 4.1.6)

activesupport (4.2.4, 4.2.0, 4.1.6)

acts-as-taggable-on (4.0.0, 3.5.0, 3.4.2)

acts_as_list (0.8.2, 0.7.2, 0.3.0)

addressable (2.5.0, 2.3.8, 2.3.7, 2.3.6)

alchemy-devise (3.2.0)

alchemy_cms (3.5.0, 3.0.2)

announcements (0.2.0)

arel (6.0.4, 6.0.3, 6.0.0, 5.0.1.20140414130214)

awesome_nested_set (3.1.1, 3.0.3, 3.0.2, 3.0.1)

aws-sdk (1.66.0, 1.64.0, 1.54.0)

aws-sdk-v1 (1.66.0, 1.64.0, 1.54.0)

bcrypt (3.1.11, 3.1.10, 3.1.7)

bigdecimal (1.2.6)

binding_of_caller (0.7.2)

bootstrap-wysihtml5-rails (0.3.3.4, 0.3.2.100)

bounce_email (0.2.2)

bounscale (0.0.4)

bourbon (4.2.7)

builder (3.2.3, 3.2.2)

bundler (1.13.7, 1.12.0)

bundler-unload (1.0.2)

byebug (6.0.2)

cancan (1.6.10)

cancancan (1.15.0, 1.12.0, 1.10.1, 1.9.2)

capybara (2.4.3)

CFPropertyList (2.3.4, 2.3.1)

childprocess (0.5.3)

chunky_png (1.3.8, 1.3.4, 1.3.3)

climate_control (0.1.0, 0.0.3)

cocaine (0.5.8, 0.5.7, 0.5.4)

cocoon (1.2.9, 1.2.6)

coderay (1.1.1, 1.1.0)

coffee-rails (4.2.1, 4.1.0, 4.0.1)

coffee-script (2.4.1, 2.3.0)

coffee-script-source (1.12.2, 1.9.1.1, 1.9.1, 1.8.0)

commonjs (0.2.7)

compass (1.0.3, 0.12.7)

compass-core (1.0.3)

compass-import-once (1.0.5)

compass-rails (3.0.2, 2.0.4, 1.1.7)

concurrent-ruby (1.0.4)

cookies_eu (1.6.1)

daemon_controller (1.2.0)

dalli (2.7.2)

debase (0.2.1)

debase-ruby_core_source (0.7.5)

debug_inspector (0.0.2)

decorators (1.0.5, 1.0.3)

devise (4.2.0, 3.5.2, 3.4.1, 3.3.0)

devise_security_extension (0.8.0)

diff-lcs (1.1.3)

dragonfly (1.0.12, 1.0.10, 1.0.7)

dragonfly-s3_data_store (1.2, 1.0.4)

dragonfly_svg (0.0.4)

erubis (2.7.0)

ethon (0.10.1)

excon (0.54.0, 0.45.4, 0.44.4, 0.39.6)

execjs (2.7.0, 2.6.0, 2.5.2, 2.4.0, 2.2.2)

executable-hooks (1.3.2)

factory_girl (4.4.0)

factory_girl_rails (4.4.1)

faraday (0.10.1, 0.9.1, 0.9.0)

ffi (1.9.17, 1.9.10, 1.9.5)

fission (0.5.0)

fog (1.38.0, 1.33.0, 1.28.0, 1.23.0)

fog-aliyun (0.1.0)

fog-atmos (0.1.0)

fog-aws (1.1.0, 0.7.4, 0.1.1)

fog-brightbox (0.11.0, 0.8.0, 0.7.1, 0.5.1)

fog-cloudatcost (0.1.2)

fog-core (1.43.0, 1.32.1, 1.29.0, 1.24.0)

fog-dynect (0.0.3, 0.0.1)

fog-ecloud (0.3.0, 0.1.1, 0.0.2)

fog-google (0.1.0, 0.0.7)

fog-json (1.0.2, 1.0.0)

fog-local (0.3.1, 0.2.1)

fog-openstack (0.1.19)

fog-powerdns (0.1.1)

fog-profitbricks (3.0.0, 0.0.5, 0.0.1)

fog-rackspace (0.1.3)

fog-radosgw (0.0.5, 0.0.4, 0.0.3)

fog-riakcs (0.1.0)

fog-sakuracloud (1.7.5, 1.0.1, 1.0.0)

fog-serverlove (0.1.2, 0.1.1)

fog-softlayer (1.1.4, 0.4.7, 0.4.1, 0.3.18)

fog-storm_on_demand (0.1.1, 0.1.0)

fog-terremark (0.1.0, 0.0.4)

fog-vmfusion (0.1.0, 0.0.1)

fog-voxel (0.1.0, 0.0.2)

fog-vsphere (1.6.0)

fog-xenserver (0.2.3)

fog-xml (0.1.2, 0.1.1)

font-awesome-rails (4.7.0.1, 4.4.0.0)

formatador (0.2.5)

friendly_id (5.2.0, 5.0.5, 5.0.4)

fssm (0.2.10)

gem-wrappers (1.2.7)

gemoji (2.1.0)

globalid (0.3.7, 0.3.6, 0.3.3, 0.3.0)

google-analytics-rails (1.1.0, 0.0.6)

gravtastic (3.2.6)

guard (1.7.0)

guard-rspec (1.2.1)

guard-spork (1.5.1)

haml (4.0.7, 4.0.6, 4.0.5)

haml-rails (0.9.0, 0.5.3)

handlebars_assets (0.23.1)

hashie (3.4.6, 3.4.2, 3.4.0, 3.3.1)

hike (1.2.3)

hpricot (0.8.6)

html2haml (2.0.0)

httparty (0.14.0, 0.13.5, 0.13.3, 0.13.1)

httpclient (2.8.3, 2.6.0.1, 2.4.0)

i18n (0.7.0, 0.6.11)

impressionist (1.5.2, 1.5.1)

inflecto (0.0.2)

io-console (0.4.3)

ipaddress (0.8.3, 0.8.0)

jbuilder (2.3.1)

jquery-rails (4.2.2, 4.0.4, 4.0.3, 3.1.2)

jquery-ui-rails (5.0.5, 5.0.3, 4.1.2)

js_cookie_rails (2.1.3)

json (1.8.6, 1.8.3, 1.8.2, 1.8.1)

jwt (1.5.6, 1.5.1, 1.4.1, 1.0.0)

kaminari (0.17.0, 0.16.3, 0.16.1)

koala (2.4.0, 2.2.0, 1.11.1, 1.10.1)

launchy (2.4.2)

less (2.6.0, 2.4.0)

less-rails (2.8.0, 2.7.0, 2.6.0, 2.4.2)

less-rails-bootstrap (3.3.5.0, 3.3.2.0, 3.1.1.0)

letter_opener (1.2.0)

libv8 (5.3.332.38.3 universal-darwin-16, 3.16.14.17 x86_64-darwin-16, 3.16.14.11 ruby x86_64-darwin-14, 3.16.14.7 x86_64-darwin-14)

listen (0.7.3)

loofah (2.0.3, 2.0.2, 2.0.1)

lumberjack (1.0.9)

lunchy (0.8.0)

magiclabs-userstamp (3.0, 2.1.0)

mail (2.6.4, 2.6.3, 2.6.1)

memcachier (0.0.2)

meta_request (0.2.0)

metaclass (0.0.4)

method_source (0.8.2)

mime-types (3.1, 2.6.1, 2.4.3)

mime-types-data (3.2016.0521)

mini_portile (0.6.2, 0.6.0)

mini_portile2 (2.1.0)

minitest (5.10.1, 5.8.0, 5.5.1, 5.5.0, 5.4.3, 5.4.2)

mocha (1.1.0)

multi_json (1.12.1, 1.11.2, 1.11.0, 1.10.1)

multi_xml (0.6.0, 0.5.5)

multipart-post (2.0.0)

net-scp (1.2.1)

net-ssh (2.9.2, 2.9.1)

netrc (0.8.0)

newrelic_rpm (3.11.2.286)

nifty-generators (0.4.6)

ninefold (1.7.5)

nokogiri (1.7.0.1, 1.6.8.1, 1.6.6.2)

non-stupid-digest-assets (1.0.9, 1.0.4)

oauth2 (1.3.0, 1.0.0)

omniauth (1.3.1, 1.2.2)

omniauth-facebook (2.0.0)

omniauth-oauth2 (1.4.0, 1.3.1, 1.2.0)

orm_adapter (0.5.0)

paperclip (3.5.4)

passenger (5.0.15, 5.0.4, 4.0.53)

paul_revere (2.0.0)

pg (0.19.0, 0.18.2)

pointless_feedback (4.0.2)

polyamorous (1.3.1, 1.2.0)

power_assert (0.2.2)

pry (0.10.4, 0.10.1)

pry-rails (0.3.4, 0.3.3, 0.3.2)

psych (2.0.8)

public_suffix (2.0.5)

quiet_assets (1.0.3)

rack (1.6.5, 1.6.4, 1.6.0, 1.5.2)

rack-cache (1.2)

rack-canonical-host (0.2.2, 0.1.0)

rack-contrib (1.1.0)

rack-test (0.6.3, 0.6.2)

rails (4.2.4, 4.2.0, 4.1.6)

rails-deprecated_sanitizer (1.0.3)

rails-dom-testing (1.0.8, 1.0.7, 1.0.6, 1.0.5)

rails-html-sanitizer (1.0.3, 1.0.2, 1.0.1)

railties (4.2.4, 4.2.0, 4.1.6)

rake (12.0.0, 10.4.2, 10.3.2)

ransack (1.8.2, 1.6.6)

rb-fsevent (0.9.8, 0.9.5)

rb-inotify (0.9.7, 0.9.5, 0.8.8)

rbvmomi (1.9.4)

rbx-require-relative (0.0.9)

rdoc (4.2.0)

recaptcha (4.0.1, 0.4.0, 0.3.6)

redcarpet (3.4.0, 3.3.2)

ref (2.0.0, 1.0.5)

request_store (1.3.2, 1.2.0, 1.1.0)

responders (2.3.0, 2.1.0)

routing-filter (0.6.0, 0.5.0, 0.4.0.pre)

rspec (2.9.0)

rspec-core (2.9.0)

rspec-expectations (2.9.1)

rspec-mocks (2.9.0)

rspec-rails (2.9.0)

ruby-debug-ide (0.6.1.beta4, 0.6.0)

ruby_parser (3.8.4, 3.8.3, 3.7.1, 3.6.5, 3.6.3)

rubygems-bundler (1.4.4)

rvm (1.11.3.9)

sanitize (2.0.6)

sass (3.4.23, 3.4.18, 3.4.17, 3.4.16, 3.4.13, 3.2.19)

sass-rails (5.0.6, 5.0.3, 5.0.1, 4.0.3)

sassy-buttons (0.2.6)

sdoc (0.4.1)

select2-rails (3.5.10, 3.5.9.3, 3.5.9.1)

sexp_processor (4.7.0, 4.6.0, 4.5.0, 4.4.4)

sextant (0.2.4)

simple_form (3.4.0, 3.1.0, 3.0.2)

sitemap_generator (5.2.0)

slop (3.6.0)

smailer (0.7.6)

spinner.rb (0.3.0)

spork (0.9.2)

spring (1.3.6)

sprockets (3.7.1, 3.3.3, 2.12.4, 2.12.3, 2.11.0)

sprockets-rails (3.2.0, 2.3.2, 2.2.4, 2.2.2, 2.2.0)

sqlite3 (1.3.10)

starburst (1.0.3)

stringex (2.6.1, 2.5.2)

test-unit (3.0.8)

therubyracer (0.12.3, 0.12.2, 0.12.1)

thor (0.19.4, 0.19.1)

thread_safe (0.3.5, 0.3.4)

tilt (2.0.5, 1.4.1)

tinymce-rails (4.5.2, 4.2.3, 4.1.6)

trollop (2.1.2)

turbolinks (5.0.1, 2.5.3, 2.5.1)

turbolinks-source (5.0.0)

tvdeyen-handles_sortable_columns (0.1.5)

tweet-button (0.1.0)

typhoeus (0.8.0)

tzinfo (1.2.2)

uglifier (3.0.4, 2.7.1, 2.5.3)

validate_url (1.0.2, 1.0.0, 0.2.2)

warden (1.2.6, 1.2.3)

web-console (2.2.1)

will_paginate (3.0.5)

workflow (1.0.0)

xml-simple (1.1.5)

xpath (2.0.0)

 

0
Comment actions Permalink

Hello,

could you please uninstall debase and ruby-debug-ide gems and then try launching debugging process again (IDE will propose to install those gems). If it fails the same please check if you can install those gems from the Terminal.

1
Comment actions Permalink

Thanks, that has resolved the issue

0

Please sign in to leave a comment.